﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace VakifDataTransferNew.Model
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class FMSEntities : DbContext
    {
        public FMSEntities()
            : base("name=FMSEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Address> Addresses { get; set; }
        public virtual DbSet<BankAccount> BankAccounts { get; set; }
        public virtual DbSet<Bank> Banks { get; set; }
        public virtual DbSet<Branch> Branches { get; set; }
        public virtual DbSet<City> Cities { get; set; }
        public virtual DbSet<Country> Countries { get; set; }
        public virtual DbSet<District> Districts { get; set; }
        public virtual DbSet<Email> Emails { get; set; }
        public virtual DbSet<EmailType> EmailTypes { get; set; }
        public virtual DbSet<JobStatus> JobStatuses { get; set; }
        public virtual DbSet<Membership> Memberships { get; set; }
        public virtual DbSet<PersonalRelation> PersonalRelations { get; set; }
        public virtual DbSet<PersonalRelationType> PersonalRelationTypes { get; set; }
        public virtual DbSet<PersonMaritalStatus> PersonMaritalStatuses { get; set; }
        public virtual DbSet<Person> Persons { get; set; }
        public virtual DbSet<PhoneNumber> PhoneNumbers { get; set; }
        public virtual DbSet<PhoneType> PhoneTypes { get; set; }
        public virtual DbSet<SubscriptionConstant> SubscriptionConstants { get; set; }
        public virtual DbSet<SubscriptionMonth> SubscriptionMonths { get; set; }
        public virtual DbSet<JobInformation> JobInformations { get; set; }
        public virtual DbSet<BloodGroup> BloodGroups { get; set; }
        public virtual DbSet<Gender> Genders { get; set; }
        public virtual DbSet<Organisation> Organisations { get; set; }
        public virtual DbSet<SubscriptionPeriodFee> SubscriptionPeriodFees { get; set; }
        public virtual DbSet<OffTime> OffTimes { get; set; }
        public virtual DbSet<OffTimeType> OffTimeTypes { get; set; }
        public virtual DbSet<BusinessServiceType> BusinessServiceTypes { get; set; }
        public virtual DbSet<AccountCardDeposit> AccountCardDeposits { get; set; }
        public virtual DbSet<AccountCard> AccountCards { get; set; }
        public virtual DbSet<BusinessServiceGroup> BusinessServiceGroups { get; set; }
        public virtual DbSet<ManualTransaction> ManualTransactions { get; set; }
        public virtual DbSet<MembershipService> MembershipServices { get; set; }
        public virtual DbSet<ServicePayment> ServicePayments { get; set; }
        public virtual DbSet<Transaction> Transactions { get; set; }
        public virtual DbSet<vwPersonMembership> vwPersonMemberships { get; set; }
    }
}
